aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander Sulfrian <alexander@sulfrian.net>2012-08-09 23:07:19 +0200
committerAlexander Sulfrian <alexander@sulfrian.net>2012-08-09 23:07:19 +0200
commitc80a1c9198087e057c9ea5e3e56744ef9b23cab0 (patch)
tree4a9eb6888bb7fb88262921cb33ace3e069a4826e
parent3cc724aa4fc7ab7c8bd9642b353d06b526511649 (diff)
downloadoverlay-c80a1c9198087e057c9ea5e3e56744ef9b23cab0.tar.gz
overlay-c80a1c9198087e057c9ea5e3e56744ef9b23cab0.tar.xz
overlay-c80a1c9198087e057c9ea5e3e56744ef9b23cab0.zip
app-emacs/wanderlust: add live ebuild for wanderlust
emacs-24.1 requires current version from git
-rw-r--r--app-emacs/wanderlust/Manifest2
-rw-r--r--app-emacs/wanderlust/files/50wanderlust-gentoo.el7
-rw-r--r--app-emacs/wanderlust/wanderlust-9999.ebuild58
3 files changed, 67 insertions, 0 deletions
diff --git a/app-emacs/wanderlust/Manifest b/app-emacs/wanderlust/Manifest
new file mode 100644
index 0000000..7a3d4cf
--- /dev/null
+++ b/app-emacs/wanderlust/Manifest
@@ -0,0 +1,2 @@
+AUX 50wanderlust-gentoo.el 244 SHA256 de1718862e2b99d1c6e65daac84834a933bbafd6f64cbed129df0528ac76f811 SHA512 2057a8d18d5c7c91c968921799d502e02a61718d437ce9a69de68ebe4f409414a799ca7b5737a8994afd52793cf03eebce03b85311db02c441efba92f0d30233 WHIRLPOOL 6525ecb3f59234cb0ca8701ccc41164907cfc2a70c8df4190ba16baf1370a2597cc8f26dca8614f8a2754c80b74a40d2e84ff268b09edf7c35228cb0768f8958
+EBUILD wanderlust-9999.ebuild 1565 SHA256 7009c9058512e3b618f66c7cf5da7803d6bad791aefb1a4655d98b8f2a57b472 SHA512 01af9b8f33f9cd0072afa02ee3348ce5cf7c84d4872cecd6a7e66509985b6d7f142d8428958396506af42e108299218d0d714e1d31ef0f785a7e9f0d624c9638 WHIRLPOOL 701397f7eeba31bafab62d915e0517631831d41ca45bfe19464f1b6e4ca75464c1251d7ec68480b0e874251117ee73c529b39259c4c8d008dfbb60bfbbe5dfec
diff --git a/app-emacs/wanderlust/files/50wanderlust-gentoo.el b/app-emacs/wanderlust/files/50wanderlust-gentoo.el
new file mode 100644
index 0000000..ec27dd4
--- /dev/null
+++ b/app-emacs/wanderlust/files/50wanderlust-gentoo.el
@@ -0,0 +1,7 @@
+(add-to-list 'load-path "@SITELISP@")
+
+(autoload 'wl "wl" "Wanderlust" t)
+(autoload 'wl-other-frame "wl" "Wanderlust on new frame." t)
+(autoload 'wl-draft "wl-draft" "Write draft with Wanderlust." t)
+
+(setq wl-icon-directory "@SITEETC@/icons")
diff --git a/app-emacs/wanderlust/wanderlust-9999.ebuild b/app-emacs/wanderlust/wanderlust-9999.ebuild
new file mode 100644
index 0000000..26e3103
--- /dev/null
+++ b/app-emacs/wanderlust/wanderlust-9999.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+inherit elisp git-2
+
+DESCRIPTION="Yet Another Message Interface on Emacsen"
+HOMEPAGE="http://www.gohome.org/wl/"
+EGIT_REPO_URI="git://github.com/wanderlust/wanderlust.git https://github.com/wanderlust/wanderlust.git"
+PYTHON_DEPEND="2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="bbdb ssl linguas_ja"
+
+DEPEND=">=app-emacs/apel-10.6
+ virtual/emacs-flim
+ app-emacs/semi
+ bbdb? ( app-emacs/bbdb )"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}"
+SITEFILE="50${PN}-gentoo.el"
+
+src_configure() {
+ local lang="\"en\""
+ use linguas_ja && lang="${lang} \"ja\""
+ echo "(setq wl-info-lang '(${lang}) wl-news-lang '(${lang}))" >>WL-CFG
+ use ssl && echo "(setq wl-install-utils t)" >>WL-CFG
+}
+
+src_compile() {
+ emake || die "emake failed"
+ echo | emake info || die "emake info failed"
+}
+
+src_install() {
+ emake \
+ LISPDIR="${ED}${SITELISP}" \
+ PIXMAPDIR="${ED}${SITEETC}/wl/icons" \
+ install || die "emake install failed"
+
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}" wl || die
+
+ insinto "${SITEETC}/wl/samples/en"
+ doins samples/en/* || die
+ doinfo doc/wl*.info || die
+ dodoc BUGS ChangeLog INSTALL NEWS README
+
+ if use linguas_ja; then
+ insinto "${SITEETC}/wl/samples/ja"
+ doins samples/ja/* || die
+ dodoc BUGS.ja INSTALL.ja NEWS.ja README.ja
+ fi
+}